gratifiant > comp.os.* > comp.os.linux.configuration

Geo Cherchetout (17/11/2014, 20h44)
Bonjour,

J'ai Debian Jessie installée sur mon eeepc et j'ai lancé une mise à jour
depuis Synaptic. Les téléchargements semblent avoir réussi mais, depuis plus
d'une heure les mises à jour sont bloquées sur ce message :

Preparing to unpack .../libc6_2.19-13_i386.deb ...

Que dois-je faire svp ?
Tonton Th (17/11/2014, 20h51)
On 2014-11-17, Geo Cherchetout wrote:
> Bonjour,
> J'ai Debian Jessie installée sur mon eeepc et j'ai lancé une mise à jour
> depuis Synaptic. Les téléchargements semblent avoir réussi mais, depuis plus
> d'une heure les mises à jour sont bloquées sur ce message :
> Preparing to unpack .../libc6_2.19-13_i386.deb ...
> Que dois-je faire svp ?


D'abord regarder si il reste assez de place sur le disque.
Geo Cherchetout (17/11/2014, 20h55)
Le 17/11/2014 19:51, *Tonton Th* a écrit fort à propos :
> On 2014-11-17, Geo Cherchetout wrote:
> D'abord regarder si il reste assez de place sur le disque.


Pas de souci de ce côté, il reste 15 GiB de libre dans ma partition racine.
Geo Cherchetout (17/11/2014, 21h29)
Le 17/11/2014 19:55, *Geo Cherchetout* a écrit fort à propos :
> Le 17/11/2014 19:51, *Tonton Th* a écrit fort à propos :
> Pas de souci de ce côté, il reste 15 GiB de libre dans ma partition racine.


J'ajoute que le paquet /var/cache/apt/archives/libc6_2.19-13_i386.deb existe
bien. Sa somme md5 est 8210c0e2c54e47d77e711ce67cab9527 et sa taille 4112582
octets.
Gigiair (17/11/2014, 22h02)
Geo Cherchetout <geo.cherchetoutsanspam> writes:

> Le 17/11/2014 19:55, *Geo Cherchetout* a écrit fort à propos :
> J'ajoute que le paquet /var/cache/apt/archives/libc6_2.19-13_i386.deb
> existe bien. Sa somme md5 est 8210c0e2c54e47d77e711ce67cab9527 et sa
> taille 4112582 octets.


Chez moi, Jessie à jour de mercredi dernier,
# ls -l /var/cache/apt/archives/libc6-dev_2.19-13_i386.deb
-rw-r--r-- 1 root root 3348600 nov. 7 02:44\
/var/cache/apt/archives/libc6-dev_2.19-13_i386.deb

# md5sum /var/cache/apt/archives/libc6-dev_2.19-13_i386.deb
5629bedc1855770d5c34fa1e39f543ac \
/var/cache/apt/archives/libc6-dev_2.19-13_i386.deb

Ce n'est pas tout à fait le même...
Geo Cherchetout (17/11/2014, 22h13)
Le 17/11/2014 21:02, *Gigiair* a écrit fort à propos :

> Ce n'est pas tout à fait le même...


Certes mais le tien est libc6-dev alors que le mien est libc6 tout court...
Gigiair (17/11/2014, 23h05)
Geo Cherchetout <geo.cherchetoutsanspam> writes:

> Le 17/11/2014 21:02, *Gigiair* a écrit fort à propos :
>> Ce n'est pas tout à fait le même...

> Certes mais le tien est libc6-dev alors que le mien est libc6 tout court....


Au temps pour moi, je suis allé trop vite.. La taille et le md5sum sont
identiques chez moi.
Personnellement j'oublierais synaptic et le lancerais la mise à jour en
mode texte. Si tu as interrompu la mise à jour

# dpkg --configure -a

devrait la relancer. L'avantage par rapport à synaptic, c'est que tu vas
avoir des messages. Si ça bloque, ça te dira peut-être pourquoi.
Personnellement, je n'utilise qu'aptitude, quand il y a un problème, je
sais à quoi m'en tenir, il y a souvent des messages suffisamment clairs
pour débloquer la situation.
Geo Cherchetout (17/11/2014, 23h39)
Le 17/11/2014 22:05, *Gigiair* a écrit fort à propos :

> Personnellement j'oublierais synaptic et le lancerais la mise à jour en
> mode texte. Si tu as interrompu la mise à jour
> # dpkg --configure -a
> devrait la relancer.


Oui mais justement, j'ai un peu peur de ce que provoquerait l'interruption.
Si je fais ctrl+C dans la console où est toujours affiché le message
d'erreur, un autre message me prévient que le système risque de devenir
inutilisable. :-( Je me jette à l'eau ou j'attends une autre suggestion ?
Ça ne me dérange pas d'attendre jusqu'à demain la bouée de sauvetage...
Gigiair (18/11/2014, 06h40)
Geo Cherchetout <geo.cherchetoutsanspam> writes:

> Le 17/11/2014 22:05, *Gigiair* a écrit fort à propos :
> Oui mais justement, j'ai un peu peur de ce que provoquerait
> l'interruption. Si je fais ctrl+C dans la console où est toujours
> affiché le message d'erreur, un autre message me prévient que le
> système risque de devenir inutilisable. :-( Je me jette à l'eauou
> j'attends une autre suggestion ?
> Ça ne me dérange pas d'attendre jusqu'à demain la bouée de sauvetage...

Je regarderais dans /var/log/apt/history.log voir s'il n'y a pas quelque
chose qui bloque.
Quelque chose comme
# tail -f /var/log/apt/history.log
ou encore un grep -A 10 libc6 dans ce même fichier .
Je dis ça, il y a sûrement de plus expérimentés que moisur ce newsgroup.
Effectivement, libc6 c'est un peu sensible, faut y aller avec
délicatesse...
J'ai fait ma mise à jour la semaine dernière sans souci. Le paquet étant
intègre, le problème peut venir d'un autre qui aurait souffert du
voyage.
Geo Cherchetout (18/11/2014, 15h25)
Le 18/11/2014 05:40, *Gigiair* a écrit fort à propos :

> Je regarderais dans /var/log/apt/history.log voir s'il n'y a pas quelque
> chose qui bloque.
> Quelque chose comme
> # tail -f /var/log/apt/history.log


Ce fichier de 7 lignes seulement ne contient pas autre chose que les listes
des paquets
- à installer à la ligne 4 (au nombre de 300 environ)
- à upgrader à la ligne 5 (au nombre de 900 environ)
- à supprimer à la ligne 6 (au nombre de 7)

Autrement dit, l'objectif que s'est fixé Synaptic et aucun message d'erreur.

La seule chose qui me semble un peu étrange, c'est qu'à la ligne 5 figurent
à la fois les paquets libc6-i686:i386 (2.18-4, 2.19-13) et libc6:i386
(2.18-4, 2.19-13) Est-ce normal ?

J'ai aussi regardé dans /var/log/apt/term.log que je recopie ci-dessous,
juste allégé des pourcentages intermédiaires :

Log started: 2014-11-17 18:46:08
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
....
....
(Lecture de la base de données... 100%
(Lecture de la base de données... 91085 fichiers et répertoires déjà installés.)
Preparing to unpack .../base-files_7.10_i386.deb ...
Unpacking base-files (7.10) over (7.2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Processing triggers for install-info (5.2.0.dfsg.1-2) ...
Paramétrage de base-files (7.10) ...
Updating /etc/profile to current default.
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
....
....
(Lecture de la base de données... 100%
(Lecture de la base de données... 91086 fichiers et répertoires déjà installés.)
Preparing to unpack .../debianutils_4.4+b1_i386.deb ...
Unpacking debianutils (4.4+b1) over (4.4) ...
Processing triggers for man-db (2.6.7.1-1) ...
Paramétrage de debianutils (4.4+b1) ...
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
....
....
(Lecture de la base de données... 100%
(Lecture de la base de données... 91086 fichiers et répertoires déjà installés.)
Preparing to unpack .../bash_4.3-11+b1_i386.deb ...
Unpacking bash (4.3-11+b1) over (4.3-7) ...
Processing triggers for install-info (5.2.0.dfsg.1-2) ...
Processing triggers for man-db (2.6.7.1-1) ...
Paramétrage de bash (4.3-11+b1) ...
Installation de la nouvelle version du fichier de configuration
/etc/skel/.bashrc ...
update-alternatives: utilisation de
« /usr/share/man/man7/bash-builtins.7.gz » pour fournir
« /usr/share/man/man7/builtins.7.gz » (builtins.7.gz) en mode automatique
(Lecture de la base de données...
(Lecture de la base de données... 5%
(Lecture de la base de données... 10%
....
....
(Lecture de la base de données... 100%
(Lecture de la base de données... 91087 fichiers et répertoires déjà installés.)
Preparing to unpack .../libcomerr2_1.42.12-1_i386.deb ...
Unpacking libcomerr2:i386 (1.42.12-1) over (1.42.9-3) ...
Preparing to unpack .../libtirpc1_0.2.5-1_i386.deb ...
Unpacking libtirpc1:i386 (0.2.5-1) over (0.2.2-7) ...
Preparing to unpack .../locales_2.19-13_all.deb ...
Unpacking locales (2.19-13) over (2.18-4) ...
Preparing to unpack .../libc6_2.19-13_i386.deb ...

Peut-être quelqu'un y trouvera-t-il ce qui coince ?
Geo Cherchetout (18/11/2014, 17h13)
Le 17/11/2014 19:44, j'ai écrit :
> Bonjour,
> J'ai Debian Jessie installée sur mon eeepc et j'ai lancé une mise à jour
> depuis Synaptic. Les téléchargements semblent avoir réussi mais, depuis plus
> d'une heure les mises à jour sont bloquées sur ce message :
> Preparing to unpack .../libc6_2.19-13_i386.deb ...
> Que dois-je faire svp ?


J'ai trouvé la réponse dans un message affiché dans une petite fenêtre
cachée derrière la fenêtre principale de Synaptic et quelques autres. Ce
message m'invitait à stopper ou redémarrer les instances de xscreensaver
et/ou xlockmore en cours d'exécution et je n'avais qu'à cliquer sur un
bouton pour que ça se fasse tout seul. Comique, non ?
Dommage que cette petite fenêtre ne se soit pas imposée en premier plan, et
dommage surtout que je n'aie pas encore désactivé complètement xscreensaver,
programme que je suspecte de réveiller mon écran un certain temps après que
je l'ai éteint avec xset.
Merci quand-même à ceux qui ont tenté de m'aider.
Gigiair (18/11/2014, 18h01)
Geo Cherchetout <geo.cherchetoutsanspam> writes:

[..]
> complètement xscreensaver, programme que je suspecte de réveiller mon
> écran un certain temps après que je l'ai éteint avec xset.
> Merci quand-même à ceux qui ont tenté de m'aider.


Bonne nouvelle. La prochaine fois, utilise aptitude. En console, cette
mésaventure ne risque pas d'arriver, je pense.
Geo Cherchetout (18/11/2014, 18h42)
Le 18/11/2014 16:13, j'ai écrit :
> Le 17/11/2014 19:44, j'ai écrit :
> J'ai trouvé la réponse dans un message affiché dans une petite fenêtre
> cachée derrière la fenêtre principale de Synaptic et quelques autres. Ce
> message m'invitait à stopper ou redémarrer les instances de xscreensaver
> et/ou xlockmore en cours d'exécution et je n'avais qu'à cliquer sur un
> bouton pour que ça se fasse tout seul. Comique, non ?


Hélas, la mise à jour est de nouveau bloquée. :-( Mon fichier term.log s'est
tant allongé que je préfère le déposer ici :

Les infos affichées dans la fenêtre informative de Synaptic « Les
modifications ont été appliquées » seraient sûrement intéressantes aussi
mais je ne parviens pas à les recopier dans un fichier texte.
À propos, cette fenêtre semble ouverte deux fois. Je peux passer de l'une à
l'autre, sa réplique exacte, avec Ctrl + Tab. Est-ce normal ?

Ce n'est peut-être pas aussi grave que la première fois mais j'hésite encore
à fermer Synaptic sans savoir à quoi je m'expose...
Geo Cherchetout (19/11/2014, 18h01)
Le 18/11/2014 17:42, j'ai écrit :

> Hélas, la mise à jour est de nouveau bloquée. :-(


Bon, sans fermer Synaptic j'ai lancé une deuxième passe de mises à jour et
tout s'est finalement terminé sans message d'erreur. Un certain nombre de
programmes qui me sont utiles ont été désinstallés mais ce n'est pas grave
puisque j'ai pu ensuite les réinstaller.
À bientôt pour de prochaines aventures.
yamo' (19/11/2014, 20h09)
Salut,

Geo Cherchetout a écrit le 18/11/2014 14:25 :
> Peut-être quelqu'un y trouvera-t-il ce qui coince ?


Aucune idée, j'ai viré les repos multimedia de ma conf et depuis les
mises à jours se passent beaucoup mieux.
Discussions similaires